{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-@l10n/fr/products/leandisposable/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["tabs","tab","admonition"]},"type":"markdown"},"seo":{"title":"checkDataWitheIDAssertion method","description":"Integration and usage documentation."},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"checkdatawitheidassertion-method","__idx":0},"children":["checkDataWitheIDAssertion method"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this method to check the data with an eIDAssertion."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This method checks the validity of:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if parameters match all the mandatory fields as described ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects"},"children":["in data objects reference"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if parameters match the allowed values as described ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects"},"children":["in data objects reference"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if the LRA is enabled to issue disposable certificates"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if the LRA is enabled to use the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-ig-eid-identification"},"children":["authorized eid"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["If the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["otpType = SMS"]}]}," by default the same phone number ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-faq-not-unique-phone-number"},"children":["can be used only by 1 holder"]}," in a time range of 30 days."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["otpType=EMAIL"]}]}," by default the same email ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-faq-not-unique-phone-number"},"children":["can be used only by 1 holder"]}," in a time range of 30 days."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["otpType=WHATSAPP"]}]}," by default the same phone number ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-faq-not-unique-phone-number"},"children":["can be used only by 1 holder"]}," in a time range of 30 days."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["if the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertficate"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["otpType=NO_OTP"]}]}," the LRA has to be authorized"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Check ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-ig-how-to-enroll-disposable-eid-assertion"},"children":["How to enroll a disposable with an assertion provided by an authorized eID"]}," for more details."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["For the full technical reference, see the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/openapi/certificate/checkdatawitheidassertion"},"children":["OpenAPI specification"]}]},"."]},{"$$mdtype":"Tag","name":"Tabs","attributes":{"size":"medium"},"children":[{"$$mdtype":"Tag","name":"TabItemFragment","attributes":{"label":"REST API","disable":false},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint","__idx":1},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"POST /api/certificate/{lraId}/checkDataWitheIDAssertion\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"headers","__idx":2},"children":["Headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Must be ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Basic Auth credentials."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters","__idx":3},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lraId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["LRA identifier."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"body-parameters","__idx":4},"children":["Body parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["eidAssertionHolder"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposableeidassertionholder"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DisposableeIDAssertionHolder"]}," object"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["contacts"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecontacts"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DisposableContacts"]}," object"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["certificate"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertificate"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DisposableCertificate"]}," object"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-example","__idx":5},"children":["Request example"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n    \"eidAssertionHolder\": {\n        \"assertion\": \"encoded base64 assertion\",\n        \"country\": \"IT\",\n        \"eIDType\": \"SPID\"\n    },\n    \"contacts\": {\n        \"email\": \"user@example.com\",\n        \"mobile\": \"+390000000000\"\n    },\n    \"certificate\": {\n        \"fullData\": false,\n        \"otpType\": \"SMS\",\n        \"password\": \"YOUR_PASSWORD\",\n        \"securityCode\": \"YOUR_SECURITY_CODE\",\n        \"type\": \"DISPOSABLE\"\n    }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-examples","__idx":6},"children":["Response examples"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["200 — Success"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"Empty body\n"},"children":[]}]},{"$$mdtype":"Tag","name":"TabItemFragment","attributes":{"label":"SOAP API","disable":false},"children":[{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"warning"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The SOAP interface is deprecated. Use the REST API instead."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Method:"]}," checkDataWitheIDAssertion"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Mandatory"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Mandatory"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["holder"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposableeidassertionholder"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DisposableeIDAssertionHolder"]}," object"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["YES"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["contacts"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecontacts"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DisposableContacts"]}," object"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["YES"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["cert"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/data-objects#disposablecertificate"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DisposableCertificate"]}," object"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["YES"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["lraid"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The LRA identification code"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["NO"]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Response Example"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"xml","header":{"controls":{"copy":{}}},"source":"<soapenv:Envelope xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\" xmlns:ser=\"http://service.ws.nam/\">\n   <soapenv:Header/>\n   <soapenv:Body>\n      <ser:checkDataWitheIDAssertion>\n      <holder>\n        <country>IT</country>\n        <eIDType>SPID</eIDType>\n        <assertion>encoded base64 assertion</assertion>\n      </holder>\n      <contacts>\n        <email>xxx@ffff.com</email>\n        <mobile>1123345</mobile>\n      </contacts>\n      <cert>\n        <fullData>false</fullData>\n        <otpType>EMAIL</otpType>\n        <password>password</password>\n        <securityCode>password</securityCode>\n        <type>DISPOSABLE</type>\n      </cert>\n      <lraid>344</lraid>\n      </ser:checkDataWitheIDAssertion>\n   </soapenv:Body>\n</soapenv:Envelope>\n","lang":"xml"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Response Example"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"xml","header":{"controls":{"copy":{}}},"source":"<soap:Envelope xmlns:soap=\"http://schemas.xmlsoap.org/soap/envelope/\">\n    <soap:Body>\n        <ns2:checkDataWitheIDAssertionResponse xmlns:ns2=\"http://service.ws.nam/\" />\n    </soap:Body>\n</soap:Envelope>   \n","lang":"xml"},"children":[]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Errors"]},": ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-checkdata"},"children":["Check here the main errors triggered."]}]}]},"headings":[{"value":"checkDataWitheIDAssertion method","id":"checkdatawitheidassertion-method","depth":1},{"value":"Endpoint","id":"endpoint","depth":4},{"value":"Headers","id":"headers","depth":4},{"value":"Path parameters","id":"path-parameters","depth":4},{"value":"Body parameters","id":"body-parameters","depth":4},{"value":"Request example","id":"request-example","depth":4},{"value":"Response examples","id":"response-examples","depth":4}],"frontmatter":{"seo":{"title":"checkDataWitheIDAssertion method"}},"lastModified":"2026-05-07T07:59:26.000Z","isTranslationFallback":true,"pagePropGetterError":{"message":"","name":""}},"slug":"/fr/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-checkdata/lean-checkdata-eid-assertion-method","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}